ifeq (distro,$(IMAGE_CLASS))

mixin/ximper-desktop-commom-software:
	@$(call add,THE_PACKAGES,appinstall gnome-software\
	\
	eog eog-plugins\
	mate-document-viewer mate-document-viewer-djvu mate-document-viewer-dvi mate-document-viewer-pixbuf mate-document-viewer-xps\
	\
	extension-manager\
	\
	blackbox-terminal\
	\
	gradience Kvantum\
	\
	notification-daemon\
	\
	)


mixin/ximper-desktop: +alsa +nm-native \
	use/x11/xorg use/xdg-user-dirs use/l10n \
	use/branding/notes
	@$(call set,LOCALES,en_US)
	@$(call add,THE_PACKAGES,pam-limits-desktop beesu polkit dvd+rw-tools fonts-cascadia-code)
	@$(call add,THE_PACKAGES,polkit-rule-admin-root)
	@$(call add,THE_BRANDING,alterator graphics indexhtml backgrounds)
	@$(call add,THE_BRANDING,notes)
	@$(call add,THE_PACKAGES,$$(THE_IMAGEWRITER))
	@$(call set,THE_IMAGEWRITER,altmediawriter)
	@$(call add,THE_PACKAGES,upower udev-rules-rfkill-uaccess)
	@$(call add,DEFAULT_SERVICES_DISABLE,gssd idmapd krb5kdc rpcbind)
	@$(call add,DEFAULT_SERVICES_ENABLE,cups)
	@$(call add,DEFAULT_SERVICES_ENABLE,alteratord)
	@$(call add,CONTROL,fusermount:public)
	@$(call add,CONTROL,libnss-role:disabled)
	@$(call add,THE_PACKAGES,sudo)
	@$(call add,CONTROL,sudowheel:enabled)


mixin/ximper-x11: use/luks \
	use/kernel/disable-usb-autosuspend \
	use/branding use/ntp/chrony use/services/lvm2-disable
	@$(call add,THE_LISTS,$(call tags,(base || desktop) && ximper && !extra))
	@$(call add,THE_PACKAGES,disable-usb-autosuspend)
	@$(call add,THE_PACKAGES,btrfs-progs)
	@$(call add,THE_PACKAGES,gpm)
	@$(call add,DEFAULT_SERVICES_DISABLE,gpm powertop)
	@$(call add,INSTALL2_PACKAGES,volumes-profile-kdesktop)
	@$(call set,INSTALL2_FONTS,fonts-otf-abattis-cantarell)


mixin/ximper-gnome3: use/x11/gnome3/minimal use/fonts/ttf/redhat +nm-gtk
	@$(call add,THE_PACKAGES,xcalib templates)
	@$(call add,THE_PACKAGES,chrome-gnome-shell)
	@$(call add,THE_PACKAGES,qt5-wayland qt6-wayland)
	@$(call add,THE_PACKAGES,gnome-terminal-nautilus sushi gnome-epub-thumbnailer gnome-font-viewer alacarte gnome-power-manager switcheroo-control power-profiles-daemon gnome-bluetooth3.0\
	gnome-shell-extension-appindicator gnome-shell-extension-dash-to-dock gnome-shell-extension-gsconnect\
	branding-etersoft-ximper-gnome-settings)
ifeq (sisyphus,$(BRANCH))
	@$(call add,THE_PACKAGES,gnome-packagekit)
endif


distro/.ximper-bare: distro/.base use/kernel/net use/docs/license \
	use/stage2/ata use/stage2/fs use/stage2/hid use/stage2/md \
	use/stage2/mmc use/stage2/net use/stage2/net-nfs use/stage2/cifs \
	use/stage2/rtc use/stage2/sbc use/stage2/scsi use/stage2/usb \
	use/stage2/drm use/tty
	@$(call try,SAVE_PROFILE,yes)
	@$(call add,STAGE1_PACKAGES,firmware-linux)
	@$(call add,STAGE1_KMODULES,drm)
ifeq (sisyphus,$(BRANCH))
ifeq (,$(filter-out i586 x86_64,$(ARCH)))
	@$(call set,BOOTLOADER,grubpcboot)
endif
endif

# base target (for most images)
distro/.ximper-base: distro/.ximper-bare use/vmguest use/memtest use/efi/dtb +efi; @:


# graphical target (not enforcing xorg drivers or blobs)
distro/.ximper-x11: distro/.ximper-base mixin/ximper-x11 \
	use/x11/wacom use/x11/amdgpu +wireless \
	use/live/x11 use/live/repo \
	use/live/suspend use/browser/firefox \
	use/syslinux/ui/gfxboot use/grub/ui/gfxboot
	@$(call add,THE_BRANDING,bootloader)
	@$(call add,THE_LISTS,$(call tags,(base || desktop) && ximper))
	@$(call add,LIVE_LISTS,$(call tags,base rescue))
	@$(call add,LIVE_PACKAGES,gpm)
	@$(call add,DEFAULT_SERVICES_DISABLE,gpm powertop)


distro/.ximper-wm: distro/.ximper-x11 \
	mixin/ximper-desktop +vmguest \
	use/live/rw +live-installer
	@$(call set,INSTALLER,alt-workstation)
	@$(call set,GRUB_DEFAULT,live)
	@$(call set,SYSLINUX_DEFAULT,live)


distro/.ximper-desktop: distro/.ximper-wm use/branding/full \
	use/firmware/laptop +systemd +systemd-optimal
	@$(call add,THE_PACKAGES,bluez)
	@$(call add,THE_PACKAGES,btrfs-progs)
	@$(call add,DEFAULT_SERVICES_ENABLE,bluetoothd)


distro/.ximper-install: distro/.ximper-base +installer \
	use/branding use/bootloader/grub use/luks use/stage2/kms \
	use/install2/fs use/install2/vnc use/install2/repo
	@$(call add,INSTALL2_PACKAGES,fdisk)
ifeq (,$(filter-out i586 x86_64,$(ARCH)))
	@$(call add,INSTALL2_PACKAGES,xorg-conf-synaptics)
endif
	@$(call add,THE_LISTS,$(call tags,base ximper))
	@$(call add,INSTALL2_BRANDING,alterator notes)
	@$(call add,INSTALL2_PACKAGES,btrfs-progs)
	@$(call add,THE_BRANDING,alterator)


distro/.ximper-install-x11: distro/.ximper-install +vmguest +wireless \
	use/install2/suspend mixin/ximper-desktop mixin/ximper-x11 \
	use/branding/complete use/branding/slideshow/once mixin/desktop-installer use/install2/fs use/efi/shell use/l10n/default/ru_RU use/rescue/base
	@$(call set,INSTALLER,alt-workstation)
	@$(call add,RESCUE_LISTS,$(call tags,rescue misc))
	@$(call add,MAIN_PACKAGES,anacron man-whatis usb-modeswitch)


distro/.ximper-install-x11-systemd: distro/.ximper-install-x11 \
	use/x11/lightdm/gtk +systemd +systemd-optimal
	@$(call add,THE_PACKAGES,bluez)
	@$(call add,DEFAULT_SERVICES_ENABLE,bluetoothd)


distro/ximper-install: distro/.ximper-install-x11-systemd mixin/ximper-gnome3 mixin/ximper-desktop-commom-software\
	use/kernel/latest +plymouth; @:
	@$(call add,MAIN_GROUPS,slinux/flatpak etersoft/99_timeshift\
	 slinux/graphics\
	 slinux/graphics-full-inkscape slinux/graphics-full-shotwell\
	 \
	 etersoft/00_office etersoft/libreoffice-still etersoft/libreoffice-latest\
	 \
	 slinux/multimedia\
	 slinux/multimedia-full-audacity etersoft/multimedia-base etersoft/multimedia-mpv\
	 slinux/multimedia-full-shotcut\
	 \
	 etersoft/virt-machines\
	 etersoft/virt-manager etersoft/gnome-boxes etersoft/virtualbox\
	 \
	 etersoft/01_games\
	 etersoft/games-portproton etersoft/games-lutris etersoft/games-mangohud\
	 etersoft/games-32bit-libs etersoft/games-vkbasalt\
	 \
	 etersoft/02_peripheral\
	 etersoft/peripherals-openrgb\
	 \
	 etersoft/03_browsers etersoft/browsers-firefox etersoft/browsers-firefox-esr etersoft/browsers-gnome-web\
	 etersoft/browsers-newmoon etersoft/browsers-chromium etersoft/browsers-chromium-gost\
	 \
	 etersoft/04_dev-tools etersoft/dev-tools-codium etersoft/dev-tools-etersoft-build-utils\
	 etersoft/dev-tools-gnome-ssh-agent\
	 )


distro/ximper: distro/.ximper-desktop mixin/ximper-gnome3 \
	use/kernel/latest +plymouth
	@$(call add,LIVE_PACKAGES,livecd-gnome3-setup-done)
	@$(call add,LIVE_PACKAGES,gnome-flashback screenpen)

endif